const string ICEMOON_AC_DOMAIN = "MOON";
const string ICEMOON_USER = "AcessOperator";
const string ICEMOON_EXPERT = "AccessExpert";
const string ICEMOON_ADMIN = "AccessAdmin";

// unGraphicalFrame_getUNICOSDefaultFileAccessControl
/**
Purpose:
Get the default UNICOS file access control.

	@param dsFileAccess: dyn_string, output: default UNICOS file access

Usage: Public

PVSS manager usage: UI (PVSS00NV) and UI extended (PVSS00NG)

Constraints:
	. PVSS version: 3.6 
	. operating system: WXP and Linux.
	. distributed system: yes.
*/
hostMonitoring_getDefaultFileAccessControl(dyn_string &dsFileAccess)
{
  string sDomain, sOperator, sExpert,sAdmin;
  
  // monitor access
  sOperator = "";
  sExpert = "";
  sAdmin = "";
/*
  dynAppend(dsFileAccess, "vision/graphicalFrame/unApplicationConfigurationOverview.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unDiagnostics/unArchiveStatistics.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/distributedControl/unDistributedControl_operation.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/Redundanz"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/Connection.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/applicationOperation.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unAlertPanel/unAlertScreen.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/plcDiagnostic.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/select/unSelectDeselect_diagnostic.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/systemIntegrityOperation.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwInstallation/fwInstallationList.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
*/
  // operator access
  sOperator = ICEMOON_USER;
  sExpert = "";
  sAdmin = "";
  dynAppend(dsFileAccess, "vision/unAlertPanel/unAlertScreen.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unEventList/unEventList.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unEventList/unEventList_SelectFilter.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unObjectList/unObjectList.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingPage.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingHistogramConfig.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingTrend.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingHistogram.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  
  // expert access
  sDomain = ICEMOON_AC_DOMAIN;
  sOperator = "";
  sExpert = ICEMOON_EXPERT;
  sAdmin = "";
  dynAppend(dsFileAccess, "vision/windowTree/unWindowTreeConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/trendTree/unTrendTreeConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/unicosSystemDPs.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/unTreeDeleteDps.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingStatus.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserStatus.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWClient/unCMWClientStatus.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerStatus.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/unConfigMail.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/unMailCategoryConfig.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);  
  dynAppend(dsFileAccess, "vision/unicosObject/General/unModifyConfig.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingPlotConfPanel.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "fwTrending/fwTrendingPlotsPage.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  
  // admin access
  sOperator = "";
  sExpert = "";
  sAdmin = ICEMOON_ADMIN;
  dynAppend(dsFileAccess, "vision/graphicalFrame/applicationConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/applicationConfigurationSetDefaultSettings.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/addSystemIntegrity.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/systemIntegrityConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/unSystemIntegrityConfigurationHMI.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/stopDriverAndCtrl.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unEventList/unEventList_Configure.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unAlertPanel/unAlertPanel_ConfigureNames.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unObjectConfigurationHMI.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unObjectTrendConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unDeviceTypeExtendedTrendConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingManager.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingConfigFile.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingConfigFile_Check.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingManagers_ExpertSetting.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLHCLogging/unLHCLoggingArchives_ExpertSetting.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserManager.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserConfigFile.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserConfigFile_Check.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unLaser/unLaserExpertSetting.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWClient/unCMWClientDriver.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerManager.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerConfigFile.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerConfigFile_Check.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unCMWServer/unCMWServerExpertSetting.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unFrontEndConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/distributedControl/unDistributedControl_configuration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/textLabel/unTextLabel_modify.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unOptionModes_Configure.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unGeneration/unGenerateDatabase.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unGeneration/unImportTree.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/unFileAccessControlConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/graphicalFrame/unMenuConfiguration.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unDiagnostics/unUIOverview.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/unicosObject/General/unSetDeviceDPEConfigs.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);
  dynAppend(dsFileAccess, "vision/systemIntegrity/unBackup.pnl"+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sDomain+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sOperator+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sExpert+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR+sAdmin+UN_ACCESS_CONTROL_DOMAIN_SEPARATOR);  
}

//---------------------------------------------------------------------------------------------------------------------------------------

// unGraphicalFrame_getUNICOSDefaultMenuConfiguration
/**
Purpose:
Get the default UNICOS menu configuration.

	@param dsMenu: dyn_string, output: default UNICOS menu configuration

Usage: Public

PVSS manager usage: UI (PVSS00NV) and UI extended (PVSS00NG)

Constraints:
	. PVSS version: 3.6 
	. operating system: WXP and Linux.
	. distributed system: yes.
*/
hostMonitoring_getDefaultMenuConfiguration(dyn_string &dsMenu)
{
  dynAppend(dsMenu, "Configuration;text;Configuration   ;");
  
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Window Tree (local)", 
                  UN_MENU_ITEM, "vision/windowTree/unWindowTreeConfiguration.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Trend Tree (local)", 
                  UN_MENU_ITEM, "vision/trendTree/unTrendTreeConfiguration.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Device configuration (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unModifyConfig.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Application (local)", 
                  UN_MENU_ITEM, "vision/graphicalFrame/applicationConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Tree Management (local)", 
                  UN_MENU_ITEM, "vision/graphicalFrame/unicosSystemDPs.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "System integrity (local)", 
                  UN_MENU_ITEM, "vision/systemIntegrity/systemIntegrityConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Mail/SMS config (local)", 
                  UN_MENU_ITEM, "vision/systemIntegrity/unConfigMail.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Events bits (local)", 
                  UN_MENU_ITEM, "vision/unEventList/unEventList_Configure.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Alarm bits (local)", 
                  UN_MENU_ITEM, "vision/unAlertPanel/unAlertPanel_ConfigureNames.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Device Internal Configuration (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unObjectConfigurationHMI.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Device Trend Configuration (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unObjectTrendConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Device Faceplate Trend Configuration (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unDeviceTypeExtendedTrendConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "LHC Logging", 
                  UN_MENU_ITEM, "vision/unLHCLogging/unLHCLoggingManager.pnl",
                  "unLHCLogging", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "LHC Laser", 
                  UN_MENU_ITEM, "vision/unLaser/unLaserManager.pnl",
                  "unLHCLASER", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "CMW Client", 
                  UN_MENU_ITEM, "vision/unCMWClient/unCMWClientDriver.pnl",
                  "unCMWClient", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "CMW Server", 
                  UN_MENU_ITEM, "vision/unCMWServer/unCMWServerManager.pnl",
                  "unCMWServer", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Front-end Internal Configuration (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unFrontEndConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Distributed System (local)", 
                  UN_MENU_ITEM, "vision/distributedControl/unDistributedControl_configuration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Text Label (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/textLabel/unTextLabel_modify.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Import Database (local)", 
                  UN_MENU_ITEM, "vision/unGeneration/unGenerateDatabase.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Import Tree (local)", 
                  UN_MENU_ITEM, "vision/unGeneration/unImportTree.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Set device DPE config (local)", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unSetDeviceDPEConfigs.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Backup (local)", 
                  UN_MENU_ITEM, "vision/systemIntegrity/unBackup.pnl",
                  "", UN_USER_ADMIN));				  
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "File access control (local)", 
                  UN_MENU_ITEM, "vision/graphicalFrame/unFileAccessControlConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Menu configuration (local)", 
                  UN_MENU_ITEM, "vision/graphicalFrame/unMenuConfiguration.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Configuration", "", 
                  "Application Overview (local)", 
                  UN_MENU_ITEM, "vision/graphicalFrame/unApplicationConfigurationOverview.pnl", 
                  "", ""));
  
  dynAppend(dsMenu, "Management;text;Management  ;");
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "", 
                  "Utilities (local)", 
                  UN_MENU_POPUP));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Log statistics", 
                  UN_MENU_ITEM, "vision/UserConnections",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Value archive", 
                  UN_MENU_ITEM, "para/archive/archive_select.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Online backup", 
                  UN_MENU_ITEM, "vision/OnlineBackup.pnl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "MODBUS driver", 
                  UN_MENU_ITEM, "para/modbus.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "S7 driver", 
                  UN_MENU_ITEM, "para/s7.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Alarm archive", 
                  UN_MENU_ITEM, "vision/ArchivControl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Reset managers", 
                  UN_MENU_ITEM, "vision/systemIntegrity/stopDriverAndCtrl.pnl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "System management", 
                  UN_MENU_ITEM, "vision/SysMgm",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Export Database", 
                  UN_MENU_ITEM, "vision/unGeneration/unExportDatabase.pnl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "Export Tree", 
                  UN_MENU_ITEM, "vision/unGeneration/unExportTree.pnl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "List of Masked Events", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unDevice_MaskedEvent.pnl",
                  "", UN_USER_OPERATOR));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Utilities (local)", 
                  "List of Masked Alarms", 
                  UN_MENU_ITEM, "vision/unicosObject/General/unDevice_MaskedAlert.pnl",
                  "", UN_USER_OPERATOR));
  
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "", 
                  "Diagnostic", 
                  UN_MENU_POPUP));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Distributed System (local)", 
                  UN_MENU_ITEM, "vision/distributedControl/unDistributedControl_operation.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "System Overview (local)", 
                  UN_MENU_ITEM, "vision/Redundanz",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Disk space (local)", 
                  UN_MENU_ITEM, "vision/Device.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Memory (local)", 
                  UN_MENU_ITEM, "vision/DeviceVirtual.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Ev connections (local)", 
                  UN_MENU_ITEM, "vision/Connection.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Application", 
                  UN_MENU_ITEM, "vision/graphicalFrame/applicationOperation.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Archives", 
                  UN_MENU_ITEM, "vision/unDiagnostics/unArchiveStatistics.pnl",
                  "", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "User Interfaces", 
                  UN_MENU_ITEM, "vision/unDiagnostics/unUIOverview.pnl",
                  "", UN_USER_ADMIN));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "System ALarm statistics", 
                  UN_MENU_ITEM, "vision/systemIntegrity/unSystemIntegrity_getStats.pnl",
                  "", ""));				  
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "Front-End", 
                  UN_MENU_ITEM, "vision/graphicalFrame/plcDiagnostic.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "UNICOS select", 
                  UN_MENU_ITEM, "vision/select/unSelectDeselect_diagnostic.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "System integrity", 
                  UN_MENU_ITEM, "vision/systemIntegrity/systemIntegrityOperation.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "LHC Logging", 
                  UN_MENU_ITEM, "vision/unLHCLogging/unLHCLoggingStatus.pnl",
                  "unLHCLogging", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "LHC Laser", 
                  UN_MENU_ITEM, "vision/unLaser/unLaserStatus.pnl",
                  "unLHCLASER", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "CMW Client", 
                  UN_MENU_ITEM, "vision/unCMWClient/unCMWClientStatus.pnl",
                  "unCMWClient", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "Diagnostic", 
                  "CMW Server", 
                  UN_MENU_ITEM, "vision/unCMWServer/unCMWServerStatus.pnl",
                  "unCMWServer", UN_USER_EXPERT));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "", 
                  "Debug utility (local)", 
                  UN_MENU_ITEM, "vision/unCore/unDebugUtility.pnl",
                  "", ""));
  dynAppend(dsMenu, unGraphicalFrame_addUNICOSDefaultMenuLine("Management", "", 
                  "List of components (local)", 
                  UN_MENU_ITEM, "fwInstallation/fwInstallationList.pnl",
                  "", ""));
}

/**@file

// hostGenericFunctions.ctl
This library contains the generic functions of the package.

@par Creation Date
  dd/mm/yyyy

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  the author (DEP-GROUP)
*/

//@{

//------------------------------------------------------------------------------------------------------------------------
// hostGenericFunctions_addDefaultUser
/** add/reset default user, password not change if already set.
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

*/
hostGenericFunctions_addDefaultUser()
{
  string acComponent="fwAccessControl";
  string acVersion="3.2.7", sPassword;
  int acInstalled, iPos;
  dyn_string exceptionInfo, dsUserName, dsPassword;
  bool bIntegratedMode;
  
  fwInstallation_componentInstalled(acComponent, acVersion, acInstalled);
  if (!acInstalled)
  {
    DebugTN("hostGenericFunctions_setDefaultUser: Access Control component " + acVersion + " not installed!");
    return;
  }

  bIntegratedMode=_fwAccessControl_integratedMode();
  if(!bIntegratedMode)
  {
    // use here the fwAccessControl functions to create domains, privileges, groups, users
    DebugTN("hostGenericFunctions_setDefaultUser: HOST domain, group and user updated");
  }
  else
    DebugTN("hostGenericFunctions_setDefaultUser: fwAccessControl mode activated, the changes are automatically populated from the AC server.");
  
}

//------------------------------------------------------------------------------------------------------------------------
// hostGenericFunctions_FaceplateStatusHeader
/** set the text and the colors of the header in the faceplate status tab (state of the FE connection)
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@param sFEDp  input, front-end DP name
@param sFEAlias  input, front-end name (alias)
@param sDeviceAlias  input, device name (alias)
@param iAlarm  input, front-end comm system integrity alarm level
@param bSystemAlarmEnable  input, front-end comm system integrity enable/disable
@param bInvalid  input, device invalid state
*/
hostGenericFunctions_FaceplateStatusHeader(string sFEDp, string sFEAlias, string sDeviceAlias, int iAlarm, bool bSystemAlarmEnable, bool bInvalid)
{
  bool bOk=false, bFrontEnd=false;
  time tLast;
  string sBackColor, sForeColor, sText, sTime, sName;

  sName=sFEAlias;
  if (sName=="")
    sName="?";
  else if (sName!=sFEDp)
    bFrontEnd=true;

  if(bInvalid)
  {
    sBackColor="unDataNotValid";
    sForeColor="_3DText";
    sTime="";
    sText="DATA INVALID";
  }
  else if(!bSystemAlarmEnable)
  {
    //SystemAlarm disabled
    //sBackColor="unAlarmMasked";
    sBackColor="unDataNotValid";  
    sForeColor="_3DText";
    sTime="";
    sText=sName + " DATA Connection DISABLED";
  }
  else
  {
    if(iAlarm > c_unSystemIntegrity_no_alarm_value)
    {
      //Connection stopped
      sBackColor="unDataNotValid";
      sForeColor="_3DText";
      sText=sName + " NO DATA Connection";
   
      if(bFrontEnd)
      {
        if (dpExists(sFEDp))
        {
         dpGet(sFEDp + ".communication.counter:_online.._stime", tLast);
         sTime=" since: " + (string)tLast; 
        }
        else
        {
         sTime="?";
        }  
      }
      else
        sTime="";
    }
    else
    {
      //Connection FE OK
      sBackColor="_3DFace";
      sForeColor="_3DText";
      sText=sName + " DATA Connection OK";
      sTime="";   
      bOk=true;
    }
  }
  sText=sText + sTime;
  if(shapeExists("txtFEstatus"))
  {
    setMultiValue("txtFEstatus", "backCol", sBackColor,
                  "txtFEstatus", "foreCol", sForeColor,
                  "txtFEstatus", "text", sText);
  }
}

//------------------------------------------------------------------------------------------------------------------------
// hostGenericFunctions_FaceplateStatusDisconnect
/** set the text and the colors of the header in the faceplate status tab (state of the FE connection) in 
  case of disconnection of the remote system
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

*/
void hostGenericFunctions_FaceplateStatusDisconnect()
{
  string sBackColor, sForeColor, sText;

  sBackColor="_3DFace";
  sForeColor="unDataNoAccess";
  sText="DATA not connected";
    
  if(shapeExists("txtFEstatus"))
  {
    setMultiValue("txtFEstatus", "backCol", sBackColor,
                  "txtFEstatus", "foreCol", sForeColor,
                  "txtFEstatus", "text", sText);
  }
}

//------------------------------------------------------------------------------------------------------------------------

//@}
